Gtk_AccelGroup(3)

NAME - Gtk_AccelGroup

HEADER REQUIRED
#include <gtk--/accelgroup.h&gt;>

PROPERTIES

lock_count
    Type: guint

modifier_mask
    Type: GdkModifierType

attach_objects
    Type: GSList*

     .IP

PUBLIC MEMBER INDEX
    Gtk_AccelGroup();
    Gtk_AccelGroup(GtkAccelGroup *castitem);
    virtual  ~Gtk_AccelGroup();
    bool  activate(guint accel_key, GdkModifierType accel_mod);
    void  lock();
    void  unlock();
    Gtk_ObjectHandle  get_entry(guint accel_key, GdkModifierType accel_mods) const;
    void  lock_entry(guint accel_key, GdkModifierType accel_mods);
    void  unlock_entry(guint accel_key, GdkModifierType accel_mods);
    void  add(guint accel_key, GdkModifierType accel_mods, GtkAccelFlags accel_flags, Gtk_Object &obj, const string &accel_signal);
    void  remove(guint accel_key, GdkModifierType accel_mods, Gtk_Object &object);
    void  handle_add(Gtk_Object &object, guint accel_signal_id, guint accel_key, GdkModifierType accel_mods, GtkAccelFlags accel_flags);
    void  handle_remove(Gtk_Object &object, guint accel_key, GdkModifierType accel_mods);
    static bool  valid(guint keyval, GdkModifierType modifiers);
    static void  parse(const string & accelerator, guint *accelerator_key, GdkModifierType *accelerator_mods);
    static string  name(guint accelerator_key, GdkModifierType accelerator_mods);
    static void  set_default_mod_mask(GdkModifierType default_mod_mask);
    static guint  get_default_mod_mask();
    static const Gtk_AccelGroup*  get_default();
    static bool  groups_activate(const Gtk_Object &object, guint accel_key, GdkModifierType accel_mods);
    const GtkAccelGroup*  gtkobj() const;
    GtkAccelGroup*  gtkobj();

PROTECTED MEMBER INDEX
    void  ref();
    void  unref();
    GtkAccelGroup * gtkaccelgroup_;

PUBLIC MEMBER DESCRIPTIONS

PROTECTED MEMBER DESCRIPTIONS